server:
  port: 8083
  connection-timeout: 3000

spring:
  application:
    name: alarm-schedule
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://123.60.219.66/wisdom_cs?useUnicode=true&characterEncoding=UTF-8
    username: root
    password: 123
    # ----------------------------------------------------------------
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      max-active: 20
      initial-size: 1
      min-idle: 3
      max-wait: 60000
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    default-property-inclusion: always

mybatis-plus:
  typeAliasesPackage: com.gyee.wisdom.alarm.schedule.entity
  mapper-locations: classpath:mappers/*.xml
  global-config:
    #主键类型  0:"数据库ID自增", 1:"用户输入ID",2:"全局唯一ID (数字类型唯一ID)", 3:"全局唯一ID UUID";
    id-type: 3
    #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
    field-strategy: 2
    #驼峰下划线转换
    db-column-underline: true
    #mp2.3+ 全局表前缀 mp_
    #table-prefix: mp_
    #刷新mapper 调试神器
    #refresh-mapper: true
    #数据库大写下划线转换
    #capital-mode: true
    # Sequence序列接口实现类配置
    key-generator: com.baomidou.mybatisplus.incrementer.OracleKeyGenerator
    #逻辑删除配置（下面3个配置）
    logic-delete-value: 1
    logic-not-delete-value: 0
    #sql-injector: com.baomidou.mybatisplus.mapper.LogicSqlInjector
    #自定义填充策略接口实现
    #meta-object-handler: com.baomidou.springboot.MyMetaObjectHandler
  configuration:
    #配置返回数据库(column下划线命名&&返回java实体是驼峰命名)，自动匹配无需as（没开启这个，SQL需要写as： select user_id as userId）
    map-underscore-to-camel-case: true
    cache-enabled: false
    #配置JdbcTypeForNull, oracle数据库必须配置
    jdbc-type-for-null: 'null'
    callSettersOnNulls: true

logging:
  level:
    com:
      gyee:
        wisdom:
          alarm:
            sharding:
              mapper: debug
              service: info

sharding:
  config:
    #分表开始时间  格式：yyyy-MM-dd
    startDate: 2018-01-01
count:
  custom: true
  fault: false

stationname:
  BY
#tablespace: TS_GDSJ_DATA
tablespace: TS_NXFD_DATA

knife4j:
  redis:
    # 是否采用json序列化方式，若不采用jackson序列化
    jsonSerialType: 'Fastjson'
    host: 123.60.219.66
    password: gyee123
    port: 8082
    databases: [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18] # 要使用的库，会根据此处填写的库生成redisTemplate
    timeout: 60s
    lettuce: # lettuce基于netty，线程安全，支持并发
      pool:
        max-active: 50
        max-wait: -1ms
        max-idle: 8
        min-idle: 0
  cache:
    type: Simple

xxl:
  job:
    admin:
      addresses: http://123.60.219.66:8080/xxl-job-admin
    accessToken:
    executor:
      appname: alarm-schedule
      address:
      ip:
      port: 9998
      logpath: /users/wanghs/Mywork/GyeeWork/MyCode/wisdom/logs
      logretentiondays: 30
